#include<iostream>
using namespace std;
long long n;
int main (){
    long long br = 1;
    long long del = 0;
    cin>>n;
    for(long long i = 2; i <= n; i ++){
        while(n%i == 0){
            n=n/i;
            del++;
        }
    }
    if(del == 1 || del == 0){
        cout<<1;
        return 0;
    }
    if(del > 1){
        br += del-1;
    }
    br+=(del-1)*(del-2)/2;
    cout<<br<<endl;

    return 0;
}
